Bug 1409556 (CVE-2016-9646) - CVE-2016-9646 ikiwiki: Commit metadata forgery
Summary: CVE-2016-9646 ikiwiki: Commit metadata forgery
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-9646
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1406696 1406695
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-02 13:20 UTC by Andrej Nemec
Modified: 2019-09-29 14:03 UTC (History)
2 users (show)

Fixed In Version: ikiwiki 3.20161229
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:04:58 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-02 13:20:20 UTC
CGI::FormBuilder->field has a context-dependent API, similar to the CGI->param API that led to Bugzilla's CVE-2014-1572. Parts of ikiwiki incorrectly called this method in list context when a scalar result, which could lead to two relatively minor attacks: 

In the comments plugin, an attacker who was able to post a comment could give it a user-specified author and author-URL even if the wiki configuration did not allow for that, by crafting multiple values to other fields. Also, in the editpage plugin, an attacker who was able to edit a page could potentially forge commit authorship by crafting multiple values for the rcsinfo field.

References:

http://seclists.org/oss-sec/2016/q4/778

Comment 1 Andrej Nemec 2017-01-02 13:36:35 UTC
Created ikiwiki tracking bugs for this issue:

Affects: fedora-all [bug 1406695]
Affects: epel-6 [bug 1406696]

Comment 2 Product Security DevOps Team 2019-06-08 03:04:58 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.